incident_edges {igraph} | R Documentation

## Incident edges of multiple vertices in a graph

### Description

This function is similar to `incident`, but it queries multiple vertices at once.

### Usage

    incident_edges(graph, v, mode = c("out", "in", "all", "total"))

### Arguments

`graph` | Input graph.
`v` | The vertices to query
`mode` | Whether to query outgoing (‘out’), incoming (‘in’) edges, or both types (‘all’). This is ignored for undirected graphs.

### Value

A list of edge sequences.

### See Also

Other structural queries: `[.igraph`, `[[.igraph`, `adjacent_vertices`, `are_adjacent`, `ends`, `get.edge.ids`, `gorder`, `gsize`, `head_of`, `incident`, `is_directed`, `neighbors`, `tail_of`

### Examples

    g <- make_graph("Zachary")
    incident_edges(g, c(1, 34))

[Package igraph version 1.1.2 Index]